Selkirk vs GHA RFC · Premiership scozzese
Premiership scozzese · 2025-26Finale

36–40

Cronaca
GHA RFC batte Selkirk 40-36 in trasferta sabato 13 settembre 2025 (Premiership scozzese, 4ª giornata).
GHA RFC centra il 4º successo consecutivo. Selkirk incassa la 4ª sconfitta di fila.
Testo generato automaticamente dai dati della partita; aggiornato con i risultati.
Precedenti
2
Vittorie Selkirk (33%)
0
Pareggi (0%)
4
Vittorie GHA RFC (67%)
Ultimi 6 confronti, dal ottobre 2021
Vittoria più larga di Selkirk
28–14
8 ott 2022
Vittoria più larga di GHA RFC
34–10
2 ott 2021
Ultimi 5 confronti
- 13 dic 2025 · Premiership scozzeseGHA RFC20Selkirk1413 dic 2025GHA RFC20–14SelkirkPremiership scozzese
- 13 set 2025 · Premiership scozzeseSelkirk36GHA RFC4013 set 2025Selkirk36–40GHA RFCPremiership scozzese
- 7 gen 2023 · Premiership scozzeseGHA RFC17Selkirk217 gen 2023GHA RFC17–21SelkirkPremiership scozzese
- 8 ott 2022 · Premiership scozzeseSelkirk28GHA RFC148 ott 2022Selkirk28–14GHA RFCPremiership scozzese
- 5 mar 2022 · Premiership scozzeseSelkirk24GHA RFC275 mar 2022Selkirk24–27GHA RFCPremiership scozzese